/* **********************************************
 *						*
 * header file for recording                    *
 *						*
 *	(c) Copyright 1993, Oliver Jones        *
 *						*
 ********************************************** */

/* ********************************************** */
/*                                                */
/* ********************************************** */

#ifndef MAXPATHLEN
#define MAXPATHLEN 1024
#endif

/* path name of file to record, if any */
extern char    RecordFileName[MAXPATHLEN];

/* FILE id of file name to record, if any */
extern FILE * RecordFile;

/* path name of file to play back, if any */
extern char    PlaybackFileName[MAXPATHLEN];

/* FILE id of file name to play back, if any */
extern FILE * PlaybackFile;

/* user requested playback */
#define PLAYBACK_INACTIVE 0
#define PLAYBACK_PENDING 1
#define PLAYBACK_ACTIVE 2
#define PLAYBACK_COMPLETE 3
extern long    Playback;

/* non-zero if user requested recording  */
/* Record and Playback cannot both be nonzero */
extern long    Record ;

/* time dilation in percentage ... 200 means speed up x2 */
extern long    TimeDilation;

/* double-click time in milliseconds */
extern long    DoubleClickTime;

/* number of seconds to wait after starting program to start playback */
extern long    Wait;

/* playback error count */
extern unsigned long int Errorcount;

